// IOCTLS.H -- IOCTL code definitions for AIO16 driver

#ifndef IOCTLS_H
#define IOCTLS_H

#ifndef CTL_CODE
	#pragma message("CTL_CODE undefined. Include winioctl.h or wdm.h")
#endif

#define AIO16NT_TYPE 0x9C40

#define IOCTL_PORT_IN        CTL_CODE(AIO16NT_TYPE, 0x810, METHOD_BUFFERED, FILE_READ_ACCESS )
#define IOCTL_PORT_OUT       CTL_CODE(AIO16NT_TYPE, 0x812, METHOD_BUFFERED, FILE_WRITE_ACCESS)
#define IOCTL_PORT_IN_STRING CTL_CODE(AIO16NT_TYPE, 0x814, METHOD_BUFFERED, FILE_READ_ACCESS )

#define IOCTL_IRQ_WAIT_BEGIN CTL_CODE(AIO16NT_TYPE, 0x820, METHOD_BUFFERED, FILE_READ_ACCESS)
#define IOCTL_IRQ_WAIT_ABORT CTL_CODE(AIO16NT_TYPE, 0x822, METHOD_BUFFERED, FILE_ANY_ACCESS )
#define IOCTL_FORGET_IRP     CTL_CODE(AIO16NT_TYPE, 0x826, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#endif
