// AIO167.h : Header file for AIO167.dll
//
// For Microsoft Visual C++, use VCAIO167.lib

#ifdef __cplusplus
extern "C" {
#endif



#ifndef SINT32
	typedef INT32 SINT32;
#endif
#ifndef SINT16
	typedef SHORT SINT16;
#endif

__declspec(dllimport) UINT32 GetNumCards(void);
__declspec(dllimport) UINT32 QueryCardID(UINT32 CardNum, UINT32 *pDeviceID);
__declspec(dllimport) UINT32 QueryCardBase(UINT32 CardNum, UINT32 *pBase);
__declspec(dllimport) UINT32 WaitForIRQ(UINT32 CardNum);
__declspec(dllimport) UINT32 WaitForIRQData(UINT32 CardNum, SINT32 DataBytes, void *pData);
__declspec(dllimport) UINT32 RelInPortStringW(UINT32 CardNum, UINT32 Offset, UINT32 Words, UINT16 *pData);
__declspec(dllimport) UINT32 InPortStringW(UINT32 Address, UINT32 Words, UINT16 *pData);

__declspec(dllimport) UINT16 RelInPortB (UINT32 CardNum, UINT32 Offset);
__declspec(dllimport) UINT16 RelInPort  (UINT32 CardNum, UINT32 Offset              );
__declspec(dllimport) UINT32 RelInPortL (UINT32 CardNum, UINT32 Offset              );
__declspec(dllimport) UINT16 RelOutPortB(UINT32 CardNum, UINT32 Offset, UINT8  Value);
__declspec(dllimport) UINT16 RelOutPort (UINT32 CardNum, UINT32 Offset, UINT16 Value);
__declspec(dllimport) UINT16 RelOutPortL(UINT32 CardNum, UINT32 Offset, UINT32 Value);

__declspec(dllimport) UINT16 InPortB (UINT32 Addr              );
__declspec(dllimport) UINT16 InPort  (UINT32 Addr              );
__declspec(dllimport) UINT32 InPortL (UINT32 Addr              );
__declspec(dllimport) UINT16 OutPortB(UINT32 Addr, UINT8  Value);
__declspec(dllimport) UINT16 OutPort (UINT32 Addr, UINT16 Value);
__declspec(dllimport) UINT16 OutPortL(UINT32 Addr, UINT32 Value);



#ifdef __cplusplus
}
#endif
