// Library of c functions for this board:
extern int AIO16CardNum;
extern unsigned char jumpers;
extern unsigned char adrange;
extern unsigned char dacBrange;
extern unsigned char dacArange;

// sbitd takes data and bit, then returns 0x81 or 0x01 based on data[bit]
unsigned char sbitd(unsigned int data,unsigned char bit);

double DAC(unsigned char DACnum,double DACV);
void EEPROM_Enable(void);
void EEPROM_Disable(void);
void EEPROM_Write(unsigned int addr,unsigned int data);
unsigned int EEPROM_Read(unsigned int addr);
void CAL_ADC(unsigned char M,unsigned char B);
void CAL_DAC(unsigned char DACNum,unsigned char M);
void CALWrite(unsigned zAM,unsigned zAB,unsigned zDAM,unsigned zDBM);
void doCAL(void);
void init(void);

