// IOCTLS.H -- IOCTL code definitions for AIO167 driver

#ifndef IOCTLS_H
#define IOCTLS_H

#ifndef CTL_CODE
	#pragma message("CTL_CODE undefined. Include winioctl.h or wdm.h")
#endif

#define FILE_DEVICE_KRNLDRVR 0x80FF

#define IOCTL_QUERY_ID       CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x800, METHOD_BUFFERED, FILE_READ_ACCESS)
#define IOCTL_QUERY_BASE     CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x801, METHOD_BUFFERED, FILE_READ_ACCESS)

#define IOCTL_IRQ_WAIT_BEGIN CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x810, METHOD_BUFFERED, FILE_READ_ACCESS)
#define IOCTL_IRQ_WAIT_ABORT CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x812, METHOD_BUFFERED, FILE_ANY_ACCESS )
#define IOCTL_FORGET_IRP     CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x880, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#define IOCTL_PORT_IN        CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x820, METHOD_BUFFERED, FILE_READ_ACCESS )
#define IOCTL_PORT_OUT       CTL_CODE(FILE_DEVICE_KRNLDRVR, 0x822, METHOD_BUFFERED, FILE_WRITE_ACCESS)

#endif
